PROGRAM lnsum
  IMPLICIT NONE

  DOUBLE PRECISION :: a, b, t
  INTEGER :: k
  
  a = LOG(5d0/4d0)

  k = 1
  b = 0d0
  DO
     t = 1d0 / k / 5d0**k
     IF (t < 1d-11) EXIT
     b = b + t
     k = k + 1
  END DO

  PRINT *, a, b, a-b
END PROGRAM lnsum
